### Method

# Gtk ColorDialogchoose_rgba

since: 4.10

#### Declaration [src]

    void
    gtk_color_dialog_choose_rgba (
      GtkColorDialog* self,
      GtkWindow* parent,
      const GdkRGBA* initial_color,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function initiates a color choice operation by presenting a color chooser dialog to the user.

The `callback` will be called when the dialog is dismissed. It should call `gtk_color_dialog_choose_rgba_finish()` to obtain the result.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`initial_color`

  Type: `GdkRGBA`

  The color to select initially.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.